package com.engine.organization.service;

import com.engine.organization.entity.personnelcard.po.CardAccessPO;

import java.util.Collection;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/11/1
 * @Version V1.0
 **/
public interface CardAccessService {

    /**
     * 列表接口
     * @return
     */
    Map<String, Object> tablePage();

    /**
     * 页面权限
     * @return
     */
    Map<String, Object> hasRight();

    /**
     * 列表保存
     * @param params
     * @return
     */
    int save(Map<String, Object> params);


    /**
     * 删除
     * @param ids
     * @return
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 新增
     * @param cardAccessPO
     * @return
     */
    int addData(CardAccessPO cardAccessPO);

    /**
     * 更新tab名称
     * @param name
     * @param id
     * @return
     */
    int updateTabName(String name,Integer id);

    /**
     * 卡片按钮表单
     * @return
     */
    Map<String, Object> getCardButtonTable();

    /**
     * 保存卡片按钮信息
     * @param params
     * @return
     */
    int saveCardButton(Map<String, Object> params);
}
